--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The name of the command.
  name: command
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The default options for the command.
  name: defaults
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The options for the command.
  name: options
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The name of the command for command-line invocation.
  name: program_name
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: A short description of the command.
  name: summary
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Base class for all Gem commands. When creating a new gem command, define #arguments, #defaults_str, #description and #usage (as appropriate)."
constants: []

full_name: Gem::Command
includes: 
- !ruby/object:RI::IncludedModule 
  name: UserInteraction
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_extra_args
- !ruby/object:RI::MethodSummary 
  name: add_option
- !ruby/object:RI::MethodSummary 
  name: arguments
- !ruby/object:RI::MethodSummary 
  name: begins?
- !ruby/object:RI::MethodSummary 
  name: defaults_str
- !ruby/object:RI::MethodSummary 
  name: description
- !ruby/object:RI::MethodSummary 
  name: execute
- !ruby/object:RI::MethodSummary 
  name: get_all_gem_names
- !ruby/object:RI::MethodSummary 
  name: get_one_gem_name
- !ruby/object:RI::MethodSummary 
  name: get_one_optional_argument
- !ruby/object:RI::MethodSummary 
  name: handle_options
- !ruby/object:RI::MethodSummary 
  name: handles?
- !ruby/object:RI::MethodSummary 
  name: invoke
- !ruby/object:RI::MethodSummary 
  name: merge_options
- !ruby/object:RI::MethodSummary 
  name: remove_option
- !ruby/object:RI::MethodSummary 
  name: show_help
- !ruby/object:RI::MethodSummary 
  name: usage
- !ruby/object:RI::MethodSummary 
  name: when_invoked
name: Command
superclass: Object
